[
{
    blockid=route;
    help=service_smtp_route_route;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	/* translate this block */
	.header.text="LDAP \u8def\u7531\u914d\u7f6e";
	.fallback.text="\u5982\u679c\u4f3a\u670d\u5668\u7121\u6cd5\u627e\u5230\u5305\u542b\u7d66\u5b9a\u90f5\u4ef6\u4f4d\u5740\u7684 LDAP \u689d\u76ee\uff0c\u8acb\u4f7f\u7528\u9078\u53d6\u7684\u65b9\u6cd5\u518d\u6b21\u641c\u5c0b\uff1a";
	.fallback.1.text="\u641c\u5c0b\u81ea\u8a02\u7db2\u57df";
	.fallback.2.text="\u4f7f\u7528\u622a\u65b7\u7684\u7db2\u57df\u641c\u5c0b (\u5982\u679c\u70ba\u672c\u6a5f\u641c\u5c0b\uff0c\u5247\u6368\u68c4\u4e3b\u6a5f\u90e8\u5206)";
	.fallback.4.text="\u900f\u904e\u4f7f\u7528\u8005 ID (uid) \u641c\u5c0b";
	.routing.text="SMTP \u90f5\u4ef6\u8def\u7531\u8868\uff1a";
    };
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=routinglabel;
	    text=$.routing.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    editui=routedialog;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    columns=[
		{
		    header="\u8def\u7531\u8868";
		    varname=routeentry;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="\u900f\u904e\u4f7f\u7528\u8005 ID (uid) \u641c\u5c0b";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{
    blockid=routedialog;
    localvar={
	.route.help="\u8def\u7531\u8868\u9805\u76ee\uff1a";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size4;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	}
    ]
}
]

